<?php
class ImagenBtMalaga extends ContenidoEditable {
	static $db = array(
	                   'Descripcion' => 'Text',
	                   'Alternativa' => 'Text'
				);

	static $has_one = array(
					'Imagen' => 'Image',
					'componente' => 'ComponenteBtMalaga'
	                       );

    /**
     * Función que devuelve los campos para editar
     * el contenido como subcampo.
     **/
    protected function cargarSubContenido() {
      $camposEditable = new CamposEditable();            

	//Descripción de la imagen.
	$campoDescripcion = new CampoEditable();
	$campoDescripcion->setNombre('Descripci&oacute;n');
	$campoDescripcion->setField(new TextField('Descripcion', 'Descripci&oacute;n', $this->Descripcion));
	$camposEditable->add($campoDescripcion);

	//Alternativa de la imagen.
	$campoAlternativa = new CampoEditable();
	$campoAlternativa->setNombre('Alternativa');
	$campoAlternativa->setField(new TextField('Alternativa', 'Texto alternativo', $this->Alternativa));
	$camposEditable->add($campoAlternativa);

      $usuario = Member::CurrentMember();
      $nombreCarpetaImagenes = 'imgsusuario'.$usuario->ID;
      $carpetaPadre = DataObject::get_one('Folder', "Name='btmalaga'");
      if ($carpetaPadre == null) {
        $carpetaPadre = new Folder();
        $carpetaPadre->Name = 'btmalaga';
        $carpetaPadre->Title = 'btmalaga';
        $carpetaPadre->Filename = 'assets/btmalaga/';
        $carpetaPadre->write();
      }
      $carpeta = DataObject::get_one('Folder', "Name='".$nombreCarpetaImagenes."'");
      if ($carpeta == null) {
        $carpeta = new Folder();
        $carpeta->Name = $nombreCarpetaImagenes;
        $carpeta->Title = $nombreCarpetaImagenes;
        $carpeta->Filename = 'assets/'.$nombreCarpetaImagenes.'/';
        $carpeta->ParentID = $carpetaPadre->ID;
        $carpeta->write();
      }      
      //Path de la imagen.
      $campoImagen = new CampoEditable();
      $campoImagen->setNombre('Imagen');
      $imagenField = new OneFolderImageField('Imagen', 'Imagen', $this->class, $this->ID, null, null, null, null, $nombreCarpetaImagenes);
      $imagenField->setAllowedExtensions(array('jpg', 'jpeg', 'gif', 'png'));
      $campoImagen->setField($imagenField);
      $camposEditable->add($campoImagen);

	return $camposEditable;
    }
    
}
?>